Modify

Opened 5 years ago

Closed 4 years ago

Last modified 4 years ago

#4928 closed defect (fixed)

batchmodify does not work due to QueryModule change

Reported by: anonymous Owned by: CuriousCurmudgeon
Priority: high Component: BatchModifyPlugin
Severity: blocker Keywords:
Cc: gregmac, colski Trac Release: 0.11

Description

QueryModule was a class, but it is a module now, so
isinstance(handler, (QueryModule)) in pre_process_request(self, req, handler) function is always false, and ticket information does not change.

Attachments (1)

#4928 fix.patch (1.5 KB) - added by CuriousCurmudgeon 4 years ago.
This patch fixes pre_process_request and adds some debug logging.

Download all attachments as: .zip

Change History (17)

comment:1 Changed 5 years ago by gregmac

  • Cc gregmac added

comment:2 Changed 5 years ago by colski

  • Cc colski added

Is there a work around for this bug?

comment:3 Changed 5 years ago by anonymous

  • Severity changed from normal to major

Sorry guys, is there an update on this or a work around?

comment:4 Changed 5 years ago by Rony

Hi Guys,
What is the status of this ticket? Is this a bug? Need an update on this issue.

comment:5 Changed 5 years ago by fernando

Any resolution for this?

I use the configuration bellow and also not working.

Trac: 0.11.2
Python: 2.5.2 (r252:60911, Jan 19 2009, 14:35:18) [GCC 4.2.1 20070719 [FreeBSD]]
setuptools: 0.6c9
SQLite: 3.6.4
pysqlite: 2.3.5
Genshi: 0.5.1
mod_python: 3.3.1
Pygments: 1.0
Subversion: 1.5.5 (r34862)
jQuery: 1.2.6

comment:6 Changed 5 years ago by anonymous

  • Priority changed from normal to high
  • Severity changed from major to blocker

This plugin does not function at all - upgrading severity due to multiple reports

Trac:  	0.11.3
Python: 	2.5 (r25:51908, Sep 19 2006, 09:52:17) [MSC v.1310 32 bit (Intel)]
setuptools: 	0.6c8
SQLite: 	3.3.4
pysqlite: 	2.3.2
Genshi: 	0.5.1
mod_python: 	3.3.1
Pygments: 	1.0
Subversion: 	1.5.1 (r32289)
jQuery:	1.2.6

Changed 4 years ago by CuriousCurmudgeon

This patch fixes pre_process_request and adds some debug logging.

comment:7 Changed 4 years ago by CuriousCurmudgeon

(In [7389]) refs #4928

  • Applying patch. This patch adds debug logging and fixes the plugin so that it actually does something.

comment:8 Changed 4 years ago by anonymous

  • Owner changed from ashwin_phatak to anonymous
  • Status changed from new to assigned

comment:9 Changed 4 years ago by anonymous

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:10 Changed 4 years ago by CuriousCurmudgeon

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:11 Changed 4 years ago by CuriousCurmudgeon

  • Owner changed from anonymous to CuriousCurmudgeon
  • Status changed from reopened to new

comment:12 Changed 4 years ago by CuriousCurmudgeon

  • Status changed from new to assigned

comment:13 Changed 4 years ago by CuriousCurmudgeon

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:14 follow-up: Changed 4 years ago by jcran

  • :/ also not working here:
    Trac:  	        0.11.6
    Python: 	2.5.1 (r251:54863, Jul 31 2008, 23:20:23) [GCC 4.1.3 20070929 (prerelease) (Ubuntu 4.1.2-16ubuntu2)]
    setuptools: 	0.6c11
    SQLite: 	3.4.2
    pysqlite: 	2.3.4
    Genshi: 	0.5.1
    mod_python: 	3.3.1
    Subversion: 	1.4.4 (r25188)
    RPC: 	        1.0.6
    jQuery:	        1.2.6
    

comment:15 in reply to: ↑ 14 ; follow-up: Changed 4 years ago by CuriousCurmudgeon

Replying to jcran:

  • :/ also not working here:
    Trac:  	        0.11.6
    Python: 	2.5.1 (r251:54863, Jul 31 2008, 23:20:23) [GCC 4.1.3 20070929 (prerelease) (Ubuntu 4.1.2-16ubuntu2)]
    setuptools: 	0.6c11
    SQLite: 	3.4.2
    pysqlite: 	2.3.4
    Genshi: 	0.5.1
    mod_python: 	3.3.1
    Subversion: 	1.4.4 (r25188)
    RPC: 	        1.0.6
    jQuery:	        1.2.6
    

Are you working with the trunk for the plugin?

comment:16 in reply to: ↑ 15 Changed 4 years ago by anonymous

total false alarm. my apologies. i've removed the 'not working' message from the front page of the wiki (this caused the initial confusion). working perfectly with the above settings. GREAT plugin.

Add Comment

Modify Ticket

Action
as closed .
as The resolution will be set. Next status will be 'closed'.
to The owner will be changed from CuriousCurmudgeon. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.